Summary: RT3370 USB WiFi driver
Name: ymh-rt3370_drv
Version: V2.4.0.1_20100831
Release: %{_hhl_build_id}.2
Group: System Environment/Base
License: Non-Free
Vendor:  Corporation
Source: DPO_RT3370_LinuxSTA_V2.4.0.1_20100831.tgz
Patch: DPO_RT3370_LinuxSTA_V2.4.0.1_20100831-ngs_tx4939.patch
Prefix: %{_mvl_cross_target_dir}
Buildroot: %{_tmppath}/%{name}-%{_mvl_target_arch}-root
%define _docdir %{_mvl_cross_target_dir}%{_mvl_target_doc_dir}

%description
This package provides RT3370 USB WiFi driver

%prep
%target_check
# This source requires tricky expansion.
%setup -n DPO_RT3370_LinuxSTA_%{version}
%patch -p1

%build
%target_setup
%make

%install
%target_setup
rm -rf %{buildroot}
install -d -m 755 %{buildroot}%{_mvl_cross_target_dir}/usr/share/yamaha/cfgtemp
install -d -m 755 %{buildroot}%{_mvl_cross_target_dir}/%{_mvl_target_sysconf_dir}
install -d -m 755 %{buildroot}%{_mvl_cross_target_dir}/var.boot/etc/Wireless/RT2870STA
%make install DESTDIR=%{buildroot}%{_mvl_cross_target_dir}
mv %{buildroot}%{_mvl_cross_target_dir}/%{_mvl_target_sysconf_dir}/Wireless/RT2870STA/RT2870STA.dat %{buildroot}%{_mvl_cross_target_dir}/usr/share/yamaha/cfgtemp
ln -s ../../../var/etc/Wireless/RT2870STA/RT2870STA.dat %{buildroot}%{_mvl_cross_target_dir}/%{_mvl_target_sysconf_dir}/Wireless/RT2870STA

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%{_mvl_cross_target_dir}/lib/modules/2.6.10_mvl401-kbw_k2x-mips2_fp_le/kernel/drivers/net/wireless/rt3070sta.ko
%{_mvl_cross_target_dir}/usr/share/yamaha/cfgtemp/RT2870STA.dat
%{_mvl_cross_target_dir}/var.boot/etc/Wireless/RT2870STA
%{_mvl_cross_target_dir}%{_mvl_target_sysconf_dir}/Wireless/RT2870STA/RT2870STA.dat

%changelog
* Tue Feb 22 2011 Yamaha Corporation
- Added a few USB wireless LAN adapter entries.
* Fri Nov 5 2010 Yamaha Corporation
- Initial release.
