Summary: WPA supplicant
Name: ymh-wpa_supplicant
Version: 0.7.3
Release: %{_hhl_build_id}.4
Group: System Environment/Base
License: GPL
Vendor:  Yamaha Corporation
Source: wpa_supplicant-%{version}.tar.gz
Source1: defconfig
Patch: wpa_supplicant-%{version}-handshake-event.patch
Patch1: wpa_supplicant-%{version}-scan-timeout.patch
Prefix: %{_mvl_cross_target_dir}
Buildroot: %{_tmppath}/%{name}-%{_mvl_target_arch}-root
%define _docdir %{_mvl_cross_target_dir}%{_mvl_target_doc_dir}

%description
This package provides WPA supplicant for WiFi drivers

%prep
%target_check
%setup -n wpa_supplicant-%{version}
%patch -p1
%patch1 -p1

%build
cd wpa_supplicant
cp %{SOURCE1} .config
%target_setup

%install
%target_setup
rm -rf %{buildroot}
cd wpa_supplicant
%make install LIBDIR=/usr/lib BINDIR=/usr/sbin DESTDIR=%{buildroot}%{_mvl_cross_target_dir}
install -d %{buildroot}%{_mvl_cross_target_dir}%{_mvl_target_sysconf_dir}

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%{_mvl_cross_target_dir}%{_mvl_target_sbin_dir}/wpa_cli
%{_mvl_cross_target_dir}%{_mvl_target_sbin_dir}/wpa_passphrase
%{_mvl_cross_target_dir}%{_mvl_target_sbin_dir}/wpa_supplicant

%changelog
* Tue Mar 8 2011 Yamaha Corporation
- Reduced the scan timeout.
- Disabled unused drivers.
* Thu Feb 17 2011 Yamaha Corporation
- Added "4-Way Handshake failed" event.
* Wed Jan 19 2011 Yamaha Corporation
- Removed wpa_supplicant.conf.
* Wed Dec 8 2010 Yamaha Corporation
- Initial release.
